M<-500
n<-100 #tamaño de la muestra
media<-0
mediana<-0
vmediana<-numeric(M)
vmedia<-numeric(M)
for(m in 1:M){
xm<-rnorm(n)
vmedia<-mean(xm)
vmediana[m]<-median(xm)
}
par(mfrow=c(1,2))
hist(vmediana,freq=F,main="mediana")
hist(vmedia,freq=F,main="media")
#valor teórico
#qexp(0.5)
SesgoMC_media<-mean(vmedia)-media
SesgoMC_mediana<-mean(vmediana)-mediana

SesgoMC_media
SesgoMC_mediana


VarMC_media<-mean(vmedia^2)-(mean(vmedia))^2
VarMC_mediana<-mean(vmediana^2)-(mean(vmediana))^2

VarMC_media
VarMC_mediana


ECM_media<-SesgoMC_media^2+VarMC_media
ECM_mediana<-SesgoMC_mediana^2+VarMC_mediana

ECM_media
ECM_mediana
##########################################################################
#Ejercicio 2.

n<-50
B<-500
x<-rnorm(n) #No se que es normal
media<-mean(x)
mediana<-median(x)
media
mediana

MB<-matrix(0,nrow=B,ncol=n) #MATRIZ BOOSTRAP

#REMUESTREO DE Fn NO DE F

#Muestras Bootstrap
for(b in 1:B)
{
	xb<-sample(x,replace=T,size=n)#Normalmente mismo tamaño que la inicial
	MB[b,]<-xb
}	

vmediaB<-apply(MB,1,"mean")
vmedianaB<-apply(MB,1,"median")


par(mfrow=c(1,2))
hist(vmedianaB,freq=F,main="medianaB")
hist(vmediaB,freq=F,main="mediaB")


SesgoB_media<-mean(vmediaB)-media
SesgoB_mediana<-mean(vmedianaB)-mediana

SesgoB_media
SesgoB_mediana


VarB_media<-mean(vmediaB^2)-(mean(vmediaB))^2
VarB_mediana<-mean(vmedianaB^2)-(mean(vmedianaB))^2

VarB_media
VarB_mediana




